@ECHO off
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 3D Scanner Manager
:: Copyright (c) 2021-2024 Zleurtor
::
:: This file is part of 3D Scanner Manager.
::
:: 3D Scanner Manager is free software: you can redistribute it and/or modify
:: it under the terms of the GNU General Public License as published by
:: the Free Software Foundation, either version 3 of the License, or
:: (at your option) any later version.
::
:: 3D Scanner Manager is distributed in the hope that it will be useful,
:: but WITHOUT ANY WARRANTY; without even the implied warranty of
:: MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
:: GNU General Public License for more details.
::
:: You should have received a copy of the GNU General Public License
:: along with 3D Scanner Manager.  If not, see <https://www.gnu.org/licenses/>.
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


SETLOCAL enabledelayedexpansion

if not exist "${LOG_PATH}" (
	MD "${LOG_PATH}"
)

SET classpath=conf
FOR /R "lib" %%f IN (*.jar) DO (
	SET classpath=!classpath!;lib\%%~nf.jar
)
SET classpath=%classpath%;resources
SET classpath=%classpath%;${project.artifactId}-${project.version}.jar

START /B javaw -classpath %classpath% -splash:resources/images/logo.jpg zleurtor.scanmanager.view.Launcher
